Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.renderer
Class FormatStringValue

    java.lang.Object
      org.jdesktop.swingx.renderer.FormatStringValue

All Implemented Interfaces:
  java.io.Serializable, StringValue

    public class FormatStringValue

extends java.lang.Object
implements StringValue

Base type for `Format`-backed `StringValue`. Has static defaults for Date and Number which use the locale-dependent default `Format`s as returned from xxFormat.getInstance().

This class is intended to ease the handling of formatted cell content. F.i. to show a list of `Date`s in the default `Locale`'s FULL version and right align the text:

        StringValue stringValue = new FormatStringValue(
            DateFormat.getInstance(DateFormat.FULL));
        list.setCellRenderer(
            new DefaultListRenderer(stringValue, JLabel.RIGHT);

PENDING: need to update on Locale change? How to detect? When?

Author:
  Jeanette Winzenburg
See Also:
  Serialized Form

Field Summary
`protected java.text.Format` | `format` the format used in creating the String representation.

Constructor Summary
`FormatStringValue()` Instantiates a formatted converter with null format.
`FormatStringValue(java.text.Format format)` Instantiates a formatted converter with the given Format.

Method Summary
`java.text.Format` | `getFormat()`
`java.lang.String` | `getString(java.lang.Object value)` Returns a string representation of the given value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### format

    protected java.text.Format format

  the format used in creating the String representation.

Constructor Detail

### FormatStringValue

    public FormatStringValue()

  Instantiates a formatted converter with null format.

### FormatStringValue

    public FormatStringValue(java.text.Format format)

  Instantiates a formatted converter with the given Format.

  Parameters:
    `format` - the format to use in creating the String representation.

Method Detail

### getFormat

    public java.text.Format getFormat()

  Returns:
    the format used in creating the String representation.

### getString

    public java.lang.String getString(java.lang.Object value)

  Returns a string representation of the given value.

  PENDING JW: forgot - why not null return guaranteed?

  Specified by:
    `getString` in interface `StringValue`
  Parameters:
    `value` - the object to present as a string
  Returns:
    a string representation of the given value, guaranteed to be not null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.